<div layout
     class="min-height-100-per">
  <div flex-xs="100"
       flex-sm="45"
       flex-md="45"
       flex-lg="40"
       flex-xl="40"
       layout="column"
       layout-align="center center">
    <div>
      <h1 class="p-t-20 mat-display-2 m-b-16">Welcome to Media Interactiva!</h1>
      <p>Sign in to continue</p>
      <form class="m-t-48 relative" #loginForm="ngForm">
        <app-loading-animation *ngIf="isLoading"></app-loading-animation>

        <td-message *ngIf="!!error" [label]="error"
                    color="warn"
                    icon="error"
                    class="m-b-10">
          <button td-message-actions mat-icon-button (click)="error = null">
            <mat-icon>cancel</mat-icon>
          </button>
        </td-message>

        <div [class.blur-2]="isLoading">
          <mat-form-field class="width-100-per">
            <mat-label>Email</mat-label>
            <input type="text"
                   matInput
                   #loginInput="ngModel"
                   name="email"
                   required
                   placeholder="Email"
                   [(ngModel)]="login">
            <mat-error>{{loginInput.errors?.serverError}}</mat-error>
          </mat-form-field>

          <mat-form-field class="width-100-per">
            <mat-label>Password</mat-label>
            <input type="password"
                   matInput
                   #passwordInput="ngModel"
                   name="password"
                   required
                   placeholder="Password"
                   [(ngModel)]="password">
            <mat-error>{{passwordInput.errors?.serverError}}</mat-error>
          </mat-form-field>

          <div layout layout-align="start" class="m-t-32">
            <button mat-raised-button
                    type="submit"
                    (click)="signin()"
                    class="m-r-32 width-160"
                    [disabled]="isLoading || loginForm.invalid"
                    color="accent">
              Log in
            </button>

          </div>

        </div>
      </form>
    </div>
  </div>
  <div hide-xs flex-md="100" flex-lg="60" flex-xl="60"
       class="bg-white justify-content-center login-image align-items-center">
  </div>
</div>

